Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453342 - yelp prints "OMF category not recognised" warning when started
Summary: yelp prints "OMF category not recognised" warning when started
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rarian
Version: 9
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-29 22:15 UTC by petrosyan
Modified: 2018-04-11 12:49 UTC (History)
5 users (show)

Fixed In Version: rarian-0.8.1-2.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-11 00:53:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 18473 None None None Never

Description petrosyan 2008-06-29 22:15:53 UTC
Description of problem:
When running yelp from a terminal it prints the following warning three times:

$ yelp
OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.
OMF category 'System|Configuration|Configuration Tools' not recognised, ignoring.

Version-Release number of selected component (if applicable):
yelp-2.22.1-3.fc9.x86_64

Comment 1 Alex Lancaster 2008-07-11 01:13:50 UTC
I can reproduce this.  But worse, in my case yelp immediately quits upon this
"warning" message.

Comment 2 Matěj Cepl 2008-07-29 17:08:16 UTC
Doesn't crash, but produces messages -- yelp-2.22.1-4.fc9.i386

Comment 3 Matthew Barnes 2008-11-10 21:08:28 UTC
Hmm, system-config-{dates,services,users} are the only packages (on my system, anyway) using those categories.  If anything this is a rarian issue, but the category looks valid according to

    /usr/share/librarian/Templates/C/scrollkeeper_cl.xml

Though I'm not yet sure how it all fits together.  Moving this over to rarian for now (which also belongs to me).

Comment 4 Matthew Barnes 2008-11-10 21:46:38 UTC
Found the problem, opened an upstream bug:
https://bugs.freedesktop.org/show_bug.cgi?id=18473

I'll post a patch if Don doesn't beat me to it.

Comment 5 Matthew Barnes 2008-11-11 00:53:37 UTC
Fixed in rarian-0.8.1-2.fc10.


Note You need to log in before you can comment on or make changes to this bug.